package com.sinosig.core.module.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import java.io.Serializable;

/**
 * 实体[数据字典项]
 */
public class SJZDX implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 名称 属性
     */
    private String Name;

    @JsonIgnore
    private boolean NameDirtyFlag;

    /**
     * 建立人 属性
     */
    private String CreateMan;

    @JsonIgnore
    private boolean CreateManDirtyFlag;

    /**
     * 父名称 属性
     */
    private String Pname;

    @JsonIgnore
    private boolean PnameDirtyFlag;

    /**
     * 数据字典项标识 属性
     */
    private String SJZDXId;

    @JsonIgnore
    private boolean SJZDXIdDirtyFlag;

    /**
     * 数据字典项名称 属性
     */
    private String SJZDXName;

    @JsonIgnore
    private boolean SJZDXNameDirtyFlag;

    /**
     * 更新人 属性
     */
    private String UpdateMan;

    @JsonIgnore
    private boolean UpdateManDirtyFlag;

    /**
     * 编号 属性
     */
    private String Code;

    @JsonIgnore
    private boolean CodeDirtyFlag;

    /**
     * 更新时间 属性
     */
    private Timestamp UpdateDate;

    @JsonIgnore
    private boolean UpdateDateDirtyFlag;

    /**
     * 建立时间 属性
     */
    private Timestamp CreateDate;

    @JsonIgnore
    private boolean CreateDateDirtyFlag;

    /**
     * 父编号 属性
     */
    private String Pcode;

    @JsonIgnore
    private boolean PcodeDirtyFlag;

    /**
     * 数据字典标识 属性
     */
    private String SJZDId;

    @JsonIgnore
    private boolean SJZDIdDirtyFlag;


    /**
     * 获取 [名称]
     */
    public String getName(){
        return Name ;
    }

    /**
     * 设置 [名称]
     */
    public void setName(String  name){
        this.Name = name ;
        this.NameDirtyFlag = true ;
    }

    /**
     * 获取 [名称]脏标记
     */
    @JsonIgnore
    public boolean getNameDirtyFlag(){
        return NameDirtyFlag ;
    }
    /**
     * 获取 [建立人]
     */
    public String getCreateMan(){
        return CreateMan ;
    }

    /**
     * 设置 [建立人]
     */
    public void setCreateMan(String  createMan){
        this.CreateMan = createMan ;
        this.CreateManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return CreateManDirtyFlag ;
    }
    /**
     * 获取 [父名称]
     */
    public String getPname(){
        return Pname ;
    }

    /**
     * 设置 [父名称]
     */
    public void setPname(String  pname){
        this.Pname = pname ;
        this.PnameDirtyFlag = true ;
    }

    /**
     * 获取 [父名称]脏标记
     */
    @JsonIgnore
    public boolean getPnameDirtyFlag(){
        return PnameDirtyFlag ;
    }
    /**
     * 获取 [数据字典项标识]
     */
    public String getSJZDXId(){
        return SJZDXId ;
    }

    /**
     * 设置 [数据字典项标识]
     */
    public void setSJZDXId(String  sJZDXId){
        this.SJZDXId = sJZDXId ;
        this.SJZDXIdDirtyFlag = true ;
    }

    /**
     * 获取 [数据字典项标识]脏标记
     */
    @JsonIgnore
    public boolean getSJZDXIdDirtyFlag(){
        return SJZDXIdDirtyFlag ;
    }
    /**
     * 获取 [数据字典项名称]
     */
    public String getSJZDXName(){
        return SJZDXName ;
    }

    /**
     * 设置 [数据字典项名称]
     */
    public void setSJZDXName(String  sJZDXName){
        this.SJZDXName = sJZDXName ;
        this.SJZDXNameDirtyFlag = true ;
    }

    /**
     * 获取 [数据字典项名称]脏标记
     */
    @JsonIgnore
    public boolean getSJZDXNameDirtyFlag(){
        return SJZDXNameDirtyFlag ;
    }
    /**
     * 获取 [更新人]
     */
    public String getUpdateMan(){
        return UpdateMan ;
    }

    /**
     * 设置 [更新人]
     */
    public void setUpdateMan(String  updateMan){
        this.UpdateMan = updateMan ;
        this.UpdateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return UpdateManDirtyFlag ;
    }
    /**
     * 获取 [编号]
     */
    public String getCode(){
        return Code ;
    }

    /**
     * 设置 [编号]
     */
    public void setCode(String  code){
        this.Code = code ;
        this.CodeDirtyFlag = true ;
    }

    /**
     * 获取 [编号]脏标记
     */
    @JsonIgnore
    public boolean getCodeDirtyFlag(){
        return CodeDirtyFlag ;
    }
    /**
     * 获取 [更新时间]
     */
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return UpdateDateDirtyFlag ;
    }
    /**
     * 获取 [建立时间]
     */
    public Timestamp getCreateDate(){
        return CreateDate ;
    }

    /**
     * 设置 [建立时间]
     */
    public void setCreateDate(Timestamp  createDate){
        this.CreateDate = createDate ;
        this.CreateDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return CreateDateDirtyFlag ;
    }
    /**
     * 获取 [父编号]
     */
    public String getPcode(){
        return Pcode ;
    }

    /**
     * 设置 [父编号]
     */
    public void setPcode(String  pcode){
        this.Pcode = pcode ;
        this.PcodeDirtyFlag = true ;
    }

    /**
     * 获取 [父编号]脏标记
     */
    @JsonIgnore
    public boolean getPcodeDirtyFlag(){
        return PcodeDirtyFlag ;
    }
    /**
     * 获取 [数据字典标识]
     */
    public String getSJZDId(){
        return SJZDId ;
    }

    /**
     * 设置 [数据字典标识]
     */
    public void setSJZDId(String  sJZDId){
        this.SJZDId = sJZDId ;
        this.SJZDIdDirtyFlag = true ;
    }

    /**
     * 获取 [数据字典标识]脏标记
     */
    @JsonIgnore
    public boolean getSJZDIdDirtyFlag(){
        return SJZDIdDirtyFlag ;
    }
}

